%module openglu

// Grab a typemap for Tcl mode

%include typemap.i

// Remap a few datatypes that will appear in other files

%typemap(tcl,in) GLenum, GLbitfield = int;
%typemap(tcl,const) GLenum, GLbitfield = int;

%include gl.i
%include glu.i
%include help.i
%include carray.i

%init %{
	Tcl_PkgProvide(interp, "OpenGLU", "1.3");
%}