#This utility updates the screen (whenever Update is called) 

####
# Converted utility to run with Tkogl v3.0
# March/2001, by group 5, EECE 285
# The University of British Columbia
####

proc Update {var} {

global xrot yrot zrot Shift zoomAngle Xeye Yeye Zeye
global Xcenter Ycenter Zcenter orthoZoom worldFlag WorldCoord 
global projFlag tempZrot tempYrot tempXrot 

if {$projFlag == 0} {

	.gl makeCurrent

	glEnable GL_BLEND
       glEnable GL_DEPTH_TEST
       glBlendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
       glMatrixMode GL_PROJECTION
       glLoadIdentity
 glOrtho [expr -$orthoZoom] $orthoZoom  [expr -$orthoZoom] $orthoZoom  -20 20 
       glMatrixMode GL_MODELVIEW
       glLoadIdentity 
       gluLookAt $Xeye $Yeye $Zeye $Xcenter $Ycenter $Zcenter 0 1 0
       glTranslatef 0 0 $Shift
       glRotatef $zrot 0 0 1
       glRotatef $yrot 1 0 0
       glRotatef $xrot 0 1 0 
       glTranslatef 0 0 [expr -$Shift]

} else {

	.gl makeCurrent

       glEnable GL_BLEND
       glEnable GL_DEPTH_TEST
       glBlendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
       glMatrixMode GL_PROJECTION
       glLoadIdentity
       gluPerspective $zoomAngle 1 0.1 50 
       glMatrixMode GL_MODELVIEW
       glLoadIdentity 
       gluLookAt $Xeye $Yeye $Zeye $Xcenter $Ycenter $Zcenter 0 1 0
       glTranslatef 0 0 $Shift
       glRotatef $zrot 0 0 1
       glRotatef $yrot 1 0 0
       glRotatef $xrot 0 1 0 
       glTranslatef 0 0 [expr -$Shift]



}


 if {$worldFlag == 1 } {
catch {glDeleteLists $WorldCoord 1}
  glNewList $WorldCoord GL_COMPILE
  glColor4f 0.0 0.0 0.0 1.0
  glPushMatrix
  glTranslatef -1 -2 -12 
  glBegin GL_LINES
  glColor4f 1.0 0.0 0.0 1.0
  glVertex3d 0.0 0.0 0.0 
  glVertex3d 1.0 0.0 0.0 
  glColor4f 0.0 1.0 0.0 1.0 
  glVertex3d 0.0 0.0 0.0 
  glVertex3d 0.0 1.0 0.0 
  glColor4f 0.0 0.0 1.0 1.0 
  glVertex3d 0.0 0.0 0.0 
  glVertex3d 0.0 0.0 1.0 
  glEnd 
  glPopMatrix
  glEndList

	
    } else {


	.gl makeCurrent
  
  catch {glDeleteLists $WorldCoord 1}
  glNewList $WorldCoord GL_COMPILE
  glColor4f 0.0 0.0 0.0 1.0
  glPushMatrix
  glMatrixMode GL_MODELVIEW
  glLoadIdentity
  glTranslatef -1 -2 -12 
  glBegin GL_LINES
  	glColor4f 1.0 0.0 0.0 1.0
  	glVertex3d 0.0 0.0 0.0 
  	glVertex3d 1.0 0.0 0.0 
  	glColor4f 0.0 1.0 0.0 1.0 
  	glVertex3d 0.0 0.0 0.0 
  	glVertex3d 0.0 1.0 0.0 
  	glColor4f 0.0 0.0 1.0 1.0 
  	glVertex3d 0.0 0.0 0.0 
  	glVertex3d 0.0 0.0 1.0 
  glEnd 
  glPopMatrix
  glEndList

   }
 
.gl redraw

}
