package require Tkogl
package require OpenGL
package require OpenGLU


set height 0
set weight 0
set italic 0
set underline 0
set strikethrough 0
set xpos 0
set ypos 0
set typeFace Times
set mess "hello"
set color "1.0 1.0 1.0"

OGLwin .gl -width 400 -height 400
pack .gl -side bottom

frame .f
#button .f.bl -command "glColor3f 0.0 0.0 0.0" -foreground Black -text "Black"
#button .f.wh -command "glColor3f 1.0 1.0 1.0" -foreground White -text "White"
#button .f.ye -command "glColor3f 1.0 1.0 0.0" -foreground Yellow -text "Yellow"
button .f.cl -command "glClear GL_COLOR_BUFFER_BIT ; .gl redraw" -text "Clear"
entry .f.color -textvariable color
entry .f.mes -textvariable mess
 
pack .f -side top
#pack .f.mes .f.cl .f.bl .f.wh .f.ye -side left
pack .f.mes .f.cl .f.color -side left

glClear GL_COLOR_BUFFER_BIT

set times [.gl createFont Times $height $weight $italic $underline $strikethrough]
set helv [.gl createFont Helvetica $height $weight $italic $underline $strikethrough]

proc putText {x y font message} {
        global color
        glColor3f [lindex $color 0] [lindex $color 1] [lindex $color 2]
	.gl makeCurrent
	glRasterPos2f $x $y
	.gl putString $font $message
	.gl redraw
}


putText -0.5 0 $times "Draw message with pointer"



proc moveText { x y } {
    global times mess color
    puts "x = $x y = $y"
    glColor3f  [lindex $color 0] [lindex $color 1] [lindex $color 2]
    glRasterPos2f [expr $x/200.0 - 1.0] [expr 1.0 - $y/200.0]
    .gl putString $times $mess
    .gl redraw
}


bind .gl <B1-Motion> { moveText %x %y }

