package require Tkogl
package require OpenGL
package require OpenGLU


pack [OGLwin .gl -width 300 -height 300 -refresh draw] -expand yes -fill both

glMatrixMode GL_PROJECTION
glLoadIdentity
glOrtho -5 5 -5 5 -5 5

set dl [.gl tesselate -3 -3 0  -3 3 0  3 3 0  3 -3 0 \
	-contour -2 0 0  0 -2 0  2 0 0  0 2 0]

proc draw {} {
	global dl

	glClear GL_COLOR_BUFFER_BIT
	glCallList $dl
	
	.gl swapBuffer
}

set pmode fill
bind .gl <Button-1> {
	if {$pmode=="GL_FILL"} {set pmode GL_LINE} {set pmode GL_FILL}
	.gl makeCurrent

	glPolygonMode GL_FRONT_AND_BACK $pmode
	draw
}

draw